Package io.dapr.client.domain

# Class UnsubscribeConfigurationRequest

java.lang.Object
io.dapr.client.domain.UnsubscribeConfigurationRequest

public class UnsubscribeConfigurationRequest extends Object
Request to unsubscribe to one or more configuration items using subscription id.

## Constructor Summary

Constructors
Constructor
Description
`UnsubscribeConfigurationRequest(String id, String storeName)`
Constructor for UnsubscribeConfigurationRequest.

## Method Summary

Modifier and Type
Method
Description
`String`
`getStoreName()`
`String`
`getSubscriptionId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnsubscribeConfigurationRequest

public UnsubscribeConfigurationRequest(String id, String storeName)
Constructor for UnsubscribeConfigurationRequest.

Parameters:
  `id` - Subscription id for the items subscribed to.This id is returned by subscribeConfiguration API.
  `storeName` - Name of the configuration store.

## Method Details

### getStoreName

public String getStoreName()

### getSubscriptionId

public String getSubscriptionId()